{ den, ... }: {
  den.aspects.androidcam.nixos = { pkgs, ... }: {
    boot.extraModulePackages = with pkgs.linuxPackages; [ v4l2loopback ];

    boot.kernelModules = [ "v4l2loopback" ];

    boot.extraModprobeConfig = ''
        options v4l2loopback \
          devices=1 \
          video_nr=2 \
          card_label="DroidCam" \
          exclusive_caps=1
    '';

    programs.droidcam.enable = true;
  };
}
